"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ScrollToTop = exports.CloseButton = exports.Btn = void 0;
const react_1 = __importStar(require("react"));
const s = __importStar(require("../styles"));
const web_1 = require("@react-spring/web");
const Btn = ({ children, isFullWidth = false, statedStyles = s.BtnStates, textalign = 'center', ...rest }) => {
    const [finalStyle, setFinalStyle] = (0, react_1.useState)(statedStyles.base);
    const [isHovering, setIsHovering] = (0, react_1.useState)(false);
    const [isFocused, setIsFocused] = (0, react_1.useState)(false);
    (0, react_1.useEffect)(() => {
        if (isFocused) {
            setFinalStyle(statedStyles.focus);
            return;
        }
        if (isHovering) {
            setFinalStyle(statedStyles.hover);
            return;
        }
        setFinalStyle(statedStyles.base);
    }, [isFocused, isHovering, statedStyles]);
    return (react_1.default.createElement("button", { style: { ...finalStyle, width: (isFullWidth) ? '100%' : 'auto', textAlign: textalign }, ...rest, onMouseEnter: () => { setIsHovering(true); }, onMouseLeave: () => { setIsHovering(false); }, onFocus: () => { setIsFocused(true); }, onBlur: () => { setIsFocused(false); } }, children));
};
exports.Btn = Btn;
const CloseButton = ({ ...rest }) => {
    const [finalStyle, setFinalStyle] = (0, react_1.useState)(s.CloseButton);
    const [isHovering, setIsHovering] = (0, react_1.useState)(false);
    (0, react_1.useEffect)(() => {
        const newStyle = {
            ...s.CloseButton,
            opacity: (isHovering) ? '.5' : 1
        };
        setFinalStyle(newStyle);
    }, [isHovering]);
    return (react_1.default.createElement("button", { style: finalStyle, ...rest, onMouseEnter: () => { setIsHovering(true); }, onMouseLeave: () => { setIsHovering(false); } }));
};
exports.CloseButton = CloseButton;
const ScrollToTop = ({ isVisible = false }) => {
    const styles = (0, web_1.useSpring)({
        config: web_1.config.stiff,
        opacity: isVisible ? 1 : 0,
        ...s.ScrollToTop,
    });
    return react_1.default.createElement(web_1.animated.div, { style: styles },
        react_1.default.createElement(exports.Btn, { title: 'Top', statedStyles: s.BtnPrimaryStates, onClick: () => { window.scrollTo({ top: 0, behavior: 'smooth' }); }, type: 'button' }, "\u2912"));
};
exports.ScrollToTop = ScrollToTop;
//# sourceMappingURL=buttons.js.map