"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.NavBarNav = exports.NavBarCollapse = exports.NavBarToggler = exports.NavBar = void 0;
const react_1 = __importStar(require("react"));
const s = __importStar(require("../styles"));
const NavBar = ({ children, isFixedTop = false }) => {
    let finalStyle = s.NavBar;
    if (isFixedTop && isFixedTop === true)
        finalStyle = {
            ...s.NavBar,
            ...s.FixedTop,
            backgroundColor: '#f8f9fa'
        };
    return (react_1.default.createElement("nav", { style: finalStyle }, children));
};
exports.NavBar = NavBar;
const NavBarToggler = ({ isVisible = true, ...rest }) => {
    const [finalStyle, setFinalStyle] = (0, react_1.useState)(s.NavBarToggler);
    if (isVisible === true)
        return (react_1.default.createElement("button", { type: 'button', style: finalStyle, ...rest, onFocus: () => { setFinalStyle(s.NavBarTogglerFocus); }, onBlur: () => { setFinalStyle(s.NavBarToggler); } },
            react_1.default.createElement("span", { style: s.NavBarTogglerIcon })));
    return null;
};
exports.NavBarToggler = NavBarToggler;
const NavBarCollapse = ({ children, isVertical = false, isVisible = true }) => {
    const [finalStyle, setFinalStyle] = (0, react_1.useState)(s.NavBarCollapseVer);
    (0, react_1.useEffect)(() => {
        let newStyle = (isVertical === true)
            ? s.NavBarCollapseVer
            : s.NavBarCollapseHor;
        if (isVisible === false)
            newStyle = {
                ...newStyle,
                display: 'none'
            };
        setFinalStyle(newStyle);
    }, [isVertical, isVisible]);
    return (react_1.default.createElement("div", { style: { ...finalStyle } }, children));
};
exports.NavBarCollapse = NavBarCollapse;
const NavBarNav = ({ children, isVertical = false }) => {
    const [finalStyle, setFinalStyle] = (0, react_1.useState)(s.NavBarNavVer);
    (0, react_1.useEffect)(() => {
        if (isVertical === true)
            setFinalStyle(s.NavBarNavVer);
        else
            setFinalStyle(s.NavBarNavHor);
    }, [isVertical]);
    return (react_1.default.createElement("div", { style: finalStyle }, children));
};
exports.NavBarNav = NavBarNav;
//# sourceMappingURL=navbar.js.map