import { ComponentPropsWithoutRef } from 'react';
export declare enum IconShape {
    CameraVideoFill = 0,
    CameraVideoFillSlash = 1,
    CaretDownFill = 2,
    Eye = 3,
    EyeFill = 4,
    Film = 5,
    List = 6,
    MagnifyingGlass = 7,
    PersonCircle = 8
}
interface IIcon extends ComponentPropsWithoutRef<'svg'> {
    iconShape: IconShape;
    size: number;
}
export declare const Icon: ({ iconShape, size }: IIcon) => JSX.Element | null;
interface ISvg extends ComponentPropsWithoutRef<'svg'> {
}
export declare const CameraVideoFill: ({ color, height, width }: ISvg) => JSX.Element;
export declare const CameraVideoFillSlash: ({ color, height, width }: ISvg) => JSX.Element;
export declare const CaretDownFill: ({ color, height, width }: ISvg) => JSX.Element;
export declare const Eye: ({ color, height, width }: ISvg) => JSX.Element;
export declare const EyeFill: ({ color, height, width }: ISvg) => JSX.Element;
export declare const Film: ({ color, height, width }: ISvg) => JSX.Element;
export declare const List: ({ color, height, width }: ISvg) => JSX.Element;
export declare const MagnifyingGlass: ({ color, height, width }: ISvg) => JSX.Element;
export declare const PersonCircle: ({ color, height, width }: ISvg) => JSX.Element;
export {};
