import { ComponentPropsWithoutRef } from "react";
import type * as CSS from 'csstype';
import * as s from '../styles';
interface IBtn extends ComponentPropsWithoutRef<'button'> {
    isFullWidth?: boolean;
    statedStyles?: s.StatedStyles;
    textalign?: CSS.Property.TextAlign;
}
export declare const Btn: ({ children, isFullWidth, statedStyles, textalign, ...rest }: IBtn) => JSX.Element;
interface ICloseButton extends ComponentPropsWithoutRef<'button'> {
}
export declare const CloseButton: ({ ...rest }: ICloseButton) => JSX.Element;
interface IScrollToTop extends ComponentPropsWithoutRef<'div'> {
    isVisible?: boolean;
}
export declare const ScrollToTop: ({ isVisible }: IScrollToTop) => JSX.Element;
export {};
