import { ComponentPropsWithoutRef } from "react";
interface IDropdown extends ComponentPropsWithoutRef<'div'> {
}
export declare const Dropdown: ({ children }: IDropdown) => JSX.Element;
interface IDropdownMenu extends ComponentPropsWithoutRef<'div'> {
    isExpanded: boolean;
    left?: string;
    isRightAligned?: boolean;
}
export declare const DropdownMenu: ({ children, isRightAligned, left, isExpanded }: IDropdownMenu) => JSX.Element;
interface IDropdownMenuItem extends ComponentPropsWithoutRef<'button'> {
}
export declare const DropdownMenuItem: ({ children, ...rest }: IDropdownMenuItem) => JSX.Element;
export {};
